# Uses of Enum
org.eclipse.birt.chart.model.attribute.CursorType

Packages that use CursorType
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of CursorType in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type CursorType
Modifier and Type
Field
Description
`static final List<CursorType>`
CursorType.`VALUES`
A public read-only list of all the 'Cursor Type' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return CursorType
Modifier and Type
Method
Description
`static CursorType`
CursorType.`get(int value)`
Returns the 'Cursor Type' literal with the specified integer value.
`static CursorType`
CursorType.`get(String literal)`
Returns the 'Cursor Type' literal with the specified literal value.
`static CursorType`
CursorType.`getByName(String name)`
Returns the 'Cursor Type' literal with the specified name.
`CursorType`
Cursor.`getType()`
Returns the value of the 'Type' attribute.
`static CursorType`
CursorType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CursorType[]`
CursorType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type CursorType
Modifier and Type
Method
Description
`void`
Cursor.`setType(CursorType value)`
Sets the value of the '`Type`' attribute.

## Uses of CursorType in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return CursorType
Modifier and Type
Method
Description
`CursorType`
AttributeFactoryImpl.`createCursorTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`CursorType`
AttributeFactoryImpl.`createCursorTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`CursorType`
CursorImpl.`getType()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type CursorType
Modifier and Type
Method
Description
`void`
CursorImpl.`setType(CursorType newType)`